> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Business ownership query

Learn how to query details about the ownership of an Australian business with the FrankieOne API.

The [Business Ownership Query](/docs/v1/api/kyc-api-endpoints/reference/business/business-ownership-query) will take an **ACN** or **ABN** , and then proceed to query government databases to ascertain:

* Name and corporate details of the company.
* Office-bearers, shareholders, and ultimate beneficial owners (where possible).
* Corporate structure.
* It can also optionally perform **KYC** and **AML** checks on any/all of the above.

An entity with just an ACN or ABN can be used to run this query, or alternatively provide both, and an optional company type (as per the [ABR](https://abr.business.gov.au/Documentation/ReferenceData) list of entity types) and company name. The query will also validate those supplied details to see if they match what’s already on record. The service will stop should any material difference be found.

## Receiving the response

<Callout icon="thumbtack" color="#1A6CFF" iconType="regular">
  ##### Background Processing

  The [Business Ownership Query](/docs/v1/api/kyc-api-endpoints/reference/business/business-ownership-query) endpoint always completes asynchronously, regardless of whether the `X-Frankie-Background` header is included in the request.
</Callout>

Business ownership queries are performed in the background and the result will be returned asynchronously. How long this takes depends on a number of factors:

* How complex a corporate structure do we need to traverse to obtain the ultimate beneficial owners.
* How many of the names and companies KYC/AML checks would be performed on.
* How complex a set of rules will apply to those KYC/AML checks.

A simple check on a company with one or two shareholders/owners can take around 20-30 seconds.

A more complex, multi-layered corporate structure with many shareholders and directors requiring checks can take upwards of 5 minutes.

See [Asynchronous Calls (Backgrounding Processes)](/docs/v1/api/guide-to-the-api/getting-started/asynchronous-calls-backgrounding-processes) for more details.

## ASIC Extract Only

This query can also be used to only retrieve ABR and ASIC data with no further checks or corporate structure traversals.

This can be done by setting the `ownershipMode` query parameter to `onlyProfile` in the request.

```json REQUEST     theme={null}
curl --location 'https://{frankieHost}/compliance/v1.2/business/ownership/query?ownershipMode=onlyProfile' \
--header 'api_key: {api_key}' \
--header 'X-Frankie-CustomerId: {customerId}' \
--header 'Content-Type: application/json' \
--data '{
	"organisation": {
		"entityType": "ORGANISATION",
		"extraData": [

			{
				"kvpKey": "ACN",
				"kvpValue": {acn},
				"kvpType": "id.external"
			}
		]
	}
}'
```

See [Defining an **`ORGANISATION`** entity object](/docs/v1/kyb/australian/create-entity) on how to create a simple organisation entity for querying.

# Supported company/organisation types

At the time of writing (2021-09-12) the following company type codes can be supplied in the Business Ownership Query:

* PRV Australian Private Company
* PUB Australian Public Company
* IND Individual / Sole Trader
* Partnership (Limited and Family)
* Other Unincorporated Entities

These codes come from the [ABR Entity Type list](https://abr.business.gov.au/Documentation/ReferenceData)
